% Did not include in the grade, but what I was after was a loglog plot of f vs
% D/L^2 to show that all data fit that form (see attached plot with your data).
% Your data shows some dependence on D.  That may be due to the error in
% measuring D. Here are the commands:

%%

% constant
B=betaN(1); 

% 8x3 L matrix (m)  8x3 D matrix (m)  8x3 f matrix (hz)   
L=repmat((3:3:24)',1,3)/100;
D=repmat([.08 .13 .19],8,1)/100;
f0=[11.2  73.4 36.2 20.1 12.8  8.9  6.5 5.3;...
    22.9 100.7 45.4 28.1 17.8 11.5  8.3 5.2;...
     9.5 125.3 54.9 32.0 20.4 29.2 11.1 8.6]';
f=[230  73.4 36.2 20.1 12.8  8.9  6.5 5.3;...
   355 100.7 45.4 28.1 17.8 11.5  8.3 5.2;...
   450 125.3 54.9 32.0 20.4 15.0 11.1 8.6]';
% average density kg/m^3  
p=1500;

% log-log fit function  
pl=@(a,x)(log10(B^2/8/pi*sqrt(a(1)/p))+log10(x));

% fit for E
E=nlinfit(D(:)./L(:).^2,log10(f(:)),pl,5e9)

loglog(D./L.^2,(sqrt(E*(D).^2/p).*(B./L).^2/8/pi),'k',D./L.^2,f,'o');
axis('tight');
set(gca,'fontsize',20);
xlabel('D/L^2 (m^{-1})');
ylabel('Frequency (Hz)');

%%

The E from this analysis is 
6.55 +/- 0.15 GPa

Not sure why your values for E were off.  One issue some people had was with the linear density M/L versus density M/V in eq1 in the writeup.  I have made it clearer now, but did not take off for that mistake.
